Skip Menu |
 

This queue is for tickets about the Filter CPAN distribution.

Report information
The Basics
Id: 28232
Status: resolved
Priority: 0/
Queue: Filter

People
Owner: Nobody in particular
Requestors: imacat [...] mail.imacat.idv.tw
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.34
Fixed in: (no value)



Subject: Shadowed By the Core Version
Dear Paul Marquess, Hi. This is imacat from Taiwan. I found that your Filter-1.34 was shadowed from the core Filter::Util::Call 1.0601 supplied by Perl 5.8.8. As a result, the installation of Filter::Util::Call 1.07 is unusable. imacat@rinse perl/5.8.8 % find -name Call.pm ./lib/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm ./lib/site_perl/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm imacat@rinse perl/5.8.8 % grep '$VERSION = ' ./lib/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm ./lib/site_perl/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm ./lib/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm:$VERSION = "1.0601" ; ./lib/site_perl/5.8.8/x86_64-linux-thread-multi-ld/Filter/Util/Call.pm:$VERSION = "1.07" ; imacat@rinse perl/5.8.8 % ./bin/perl -mFilter::Util::Call -e'print $Filter::Util::Call::VERSION;'; echo 1.0601 imacat@rinse perl/5.8.8 % I tried to make a simple patch in the hope that it helps. Please tell me if you need any more information, or if I could be of any help.
Subject: Filter-1.34-installdirs.diff
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 diff -u -r Filter-1.34.orig/Makefile.PL Filter-1.34/Makefile.PL - --- Filter-1.34.orig/Makefile.PL 2007-07-07 17:11:33.000000000 +0800 +++ Filter-1.34/Makefile.PL 2007-07-16 01:52:57.000000000 +0800 @@ -54,6 +54,7 @@ 'linkext' => {LINKTYPE => ''}, 'dist' => {COMPRESS=>'gzip', SUFFIX=>'gz', DIST_DEFAULT => 'MyDoubleCheck tardist'}, + INSTALLDIRS => ($] >= 5.008001 ? 'perl' : 'site'), ($] >= 5.005 ? (ABSTRACT => 'Source Filters', AUTHOR => 'Paul Marquess <pmqs@cpan.org>') -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.7 (GNU/Linux) iD8DBQFGmmM2i9gubzC5S1wRAkZ+AKCmA5ur63HYbgkAk3boEXu97WDpXACeJawE bollnbqGsx9tgaRT9YHTE1U= =wTCb -----END PGP SIGNATURE-----
Subject: [PATCH] Shadowed By the Core Version
Download (untitled) / with headers
text/plain 253b
Show quoted text
> Hi. This is imacat from Taiwan. I found that your Filter-1.34 was > shadowed from the core Filter::Util::Call 1.0601 supplied by Perl > 5.8.8. > As a result, the installation of Filter::Util::Call 1.07 is unusable.
The attached patch fixes this.
Download filter.patch
text/x-diff 387b
--- Filter-1.35/Makefile.PL.orig 2009-02-27 17:51:20.964990400 -0500 +++ Filter-1.35/Makefile.PL 2009-02-27 18:09:46.275365000 -0500 @@ -59,6 +59,7 @@ AUTHOR => 'Paul Marquess <pmqs@cpan.org>') : () ), + 'INSTALLDIRS' => ($] >= 5.007003) ? "perl" : "site", ((ExtUtils::MakeMaker->VERSION() gt '6.30') ? ('LICENSE' => 'perl') : ()), ) ;
Download (untitled) / with headers
text/plain 353b
On Fri Feb 27 18:12:49 2009, JDHEDDEN wrote: Show quoted text
> > Hi. This is imacat from Taiwan. I found that your Filter-1.34 was > > shadowed from the core Filter::Util::Call 1.0601 supplied by Perl > > 5.8.8. > > As a result, the installation of Filter::Util::Call 1.07 is unusable.
> > The attached patch fixes this.
Thanks - patch applied & uploaded to CPAN


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.